Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I need to install this package in my Ubuntu 11.10 Oneric Ocelot. But, as I understand - this is obsolete now. But how can I install GTK+ engine for Qt?

share|improve this question
add comment

1 Answer

Many of the previous GTK+2 based theme engines have not been ported to use the GTK+3 API. This also includes gtk-qt-engine - it looks like development of this has dramatically slowed.

There are a few engines with some very good themes being developed.

For QT-based apps you should use qt4-qtconfig and select the GTK style to make QT apps look similar to GTK based apps. Then apply some of the excellent themes around which your QT-based apps should inherit the GTK characteristics.

Below are a selection of some AskUbuntu! Q&A's that you might care to consult.


Linked Questions

  1. How can I theme my Qt app to resemble one written in Gtk?
  2. What GTK+ 3 engines are available?
  3. How do I change the theme?
  4. Where to find great themes?
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.